unofficial mirror of bug-guix@gnu.org 
 help / color / mirror / code / Atom feed
* bug#53184: mycli unmet dependency on python-pyperclip
@ 2022-01-11 10:12 Rostislav Svoboda
  2022-01-11 10:45 ` Maxime Devos
  0 siblings, 1 reply; 10+ messages in thread
From: Rostislav Svoboda @ 2022-01-11 10:12 UTC (permalink / raw)
  To: 53184

[-- Attachment #1: Type: text/plain, Size: 2064 bytes --]

The command was:
$ guix upgrade mycli
The following package will be upgraded:
   mycli (dependencies or package changed)

substitute: updating substitutes from 'https://ci.guix.gnu.org'...
0.0%guix substitute: warning: ci.guix.gnu.org: connection failed:
Connection timed out
substitute:
The following derivations will be built:
   /gnu/store/hxisvawd8dwrazxqxbiqgddprwbgphkw-profile.drv
   /gnu/store/vfp2fv1qsixc7f9x6n1pj8z49a6jh48n-mycli-1.24.1.drv

substitute: updating substitutes from 'https://ci.guix.gnu.org'...   0.0%
building /gnu/store/vfp2fv1qsixc7f9x6n1pj8z49a6jh48n-mycli-1.24.1.drv...
\ 'sanity-check' phasebuilder for
`/gnu/store/vfp2fv1qsixc7f9x6n1pj8z49a6jh48n-mycli-1.24.1.drv' failed
with exit code 1
build of /gnu/store/vfp2fv1qsixc7f9x6n1pj8z49a6jh48n-mycli-1.24.1.drv failed
View build log at
'/var/log/guix/drvs/vf/p2fv1qsixc7f9x6n1pj8z49a6jh48n-mycli-1.24.1.drv.bz2'.
cannot build derivation
`/gnu/store/hxisvawd8dwrazxqxbiqgddprwbgphkw-profile.drv': 1
dependencies couldn't be built
guix upgrade: error: build of
`/gnu/store/hxisvawd8dwrazxqxbiqgddprwbgphkw-profile.drv' failed


The build log says:
...
validating 'mycli'
/gnu/store/6azf9r02qsslp8yx1kmgnv2gpqfpc409-mycli-1.24.1/lib/python3.9/site-packages
...checking requirements: ERROR: mycli==1.24.1 (pyperclip 1.6.4
(/gnu/store/q1l7qm1lqiz9i58xw6ya7rc4cjpvfjwy-python-pyperclip-1.6.4/lib/python3.9/site-packages),
Requirement.parse('pyperclip>=1.8.1'), {'mycli'})
error: in phase 'sanity-check': uncaught exception:
%exception #<&invoke-error program: "python" arguments:
("/gnu/store/nwwr89v2vyg1hs48i49m083vhczsgh3m-sanity-check.py"
"/gnu/store/6azf9r02qsslp8yx1kmgnv2gpqfpc409-mycli-1.24.1/lib/python3.9/site-packages")
exit-status: 1 term-signal: #f stop-signal: #f>
phase `sanity-check' failed after 0.1 seconds
command "python"
"/gnu/store/nwwr89v2vyg1hs48i49m083vhczsgh3m-sanity-check.py"
"/gnu/store/6azf9r02qsslp8yx1kmgnv2gpqfpc409-mycli-1.24.1/lib/python3.9/site-packages"
failed with status 1

(Full build log is in the attachment)

Could you fix it please? Thanks

Bost

[-- Attachment #2: p2fv1qsixc7f9x6n1pj8z49a6jh48n-mycli-1.24.1.drv.bz2 --]
[-- Type: application/octet-stream, Size: 5177 bytes --]

^ permalink raw reply	[flat|nested] 10+ messages in thread

* bug#53184: mycli unmet dependency on python-pyperclip
  2022-01-11 10:12 bug#53184: mycli unmet dependency on python-pyperclip Rostislav Svoboda
@ 2022-01-11 10:45 ` Maxime Devos
  2022-01-11 10:51   ` Rostislav Svoboda
  0 siblings, 1 reply; 10+ messages in thread
From: Maxime Devos @ 2022-01-11 10:45 UTC (permalink / raw)
  To: Rostislav Svoboda, 53184

[-- Attachment #1: Type: text/plain, Size: 483 bytes --]

Rostislav Svoboda schreef op di 11-01-2022 om 11:12 [+0100]:
> /gnu/store/6azf9r02qsslp8yx1kmgnv2gpqfpc409-mycli-
> 1.24.1/lib/python3.9/site-packages
> ...checking requirements: ERROR: mycli==1.24.1 (pyperclip 1.6.4
> (/gnu/store/q1l7qm1lqiz9i58xw6ya7rc4cjpvfjwy-python-pyperclip-
> 1.6.4/lib/python3.9/site-packages),
> Requirement.parse('pyperclip>=1.8.1'), {'mycli'})

It would seem that if python-pyperclip is upgraded, the build would
succeed.

Greetings,
Maxime.

[-- Attachment #2: This is a digitally signed message part --]
[-- Type: application/pgp-signature, Size: 260 bytes --]

^ permalink raw reply	[flat|nested] 10+ messages in thread

* bug#53184: mycli unmet dependency on python-pyperclip
  2022-01-11 10:45 ` Maxime Devos
@ 2022-01-11 10:51   ` Rostislav Svoboda
  2022-01-11 11:00     ` Maxime Devos
  0 siblings, 1 reply; 10+ messages in thread
From: Rostislav Svoboda @ 2022-01-11 10:51 UTC (permalink / raw)
  To: Maxime Devos; +Cc: 53184

> It would seem that if python-pyperclip is upgraded, the build would
> succeed.

Hmm maybe. I tried:

$ guix install python-pyperclip
The following package will be installed:
   python-pyperclip 1.6.4

guix install: error: profile contains conflicting entries for python-pyperclip
guix install: error:   first entry: python-pyperclip@1.6.4
/gnu/store/q1l7qm1lqiz9i58xw6ya7rc4cjpvfjwy-python-pyperclip-1.6.4
guix install: error:   second entry: python-pyperclip@1.6.4
/gnu/store/b6fr579v3cg944n84lxv1k2hnqfwyssp-python-pyperclip-1.6.4
guix install: error:    ... propagated from mycli@1.24.1
hint: Try upgrading both `python-pyperclip' and `mycli', or remove one
of them from the profile.

And at this point I decided to write a bug report instead of wasting
time with ad hoc workaround(s).

Bost




^ permalink raw reply	[flat|nested] 10+ messages in thread

* bug#53184: mycli unmet dependency on python-pyperclip
  2022-01-11 10:51   ` Rostislav Svoboda
@ 2022-01-11 11:00     ` Maxime Devos
  2022-01-11 11:17       ` Rostislav Svoboda
  0 siblings, 1 reply; 10+ messages in thread
From: Maxime Devos @ 2022-01-11 11:00 UTC (permalink / raw)
  To: Rostislav Svoboda; +Cc: 53184

[-- Attachment #1: Type: text/plain, Size: 729 bytes --]

Rostislav Svoboda schreef op di 11-01-2022 om 11:51 [+0100]:
> > It would seem that if python-pyperclip is upgraded, the build would
> > succeed.
> 
> Hmm maybe. I tried:
> 
> $ guix install python-pyperclip
> The following package will be installed:
>    python-pyperclip 1.6.4

I mean updating the version of python-pyperclip packaged in Guix,
e.g. with "./pre-inst-env guix refresh -u python-pyperclip"
(assuming that works), not the python-pyperclip in the profile.

The version of pyperclip in some profile does not have any
impact on whether the build of a depedent of pyperclip succeeds.
If it does, there's some serious and weird bug in the guix daemon's
build isolation code.

Greetings,
Maxime.

[-- Attachment #2: This is a digitally signed message part --]
[-- Type: application/pgp-signature, Size: 260 bytes --]

^ permalink raw reply	[flat|nested] 10+ messages in thread

* bug#53184: mycli unmet dependency on python-pyperclip
  2022-01-11 11:00     ` Maxime Devos
@ 2022-01-11 11:17       ` Rostislav Svoboda
  2022-01-11 14:42         ` Michael Rohleder
  0 siblings, 1 reply; 10+ messages in thread
From: Rostislav Svoboda @ 2022-01-11 11:17 UTC (permalink / raw)
  To: Maxime Devos; +Cc: 53184

> If it does, there's some serious and weird bug in the guix daemon's
> build isolation code.

I wonder how and why the mycli got installed without having it's
dependency, the python-pyperclip installed in the first place.

Bost




^ permalink raw reply	[flat|nested] 10+ messages in thread

* bug#53184: mycli unmet dependency on python-pyperclip
  2022-01-11 11:17       ` Rostislav Svoboda
@ 2022-01-11 14:42         ` Michael Rohleder
  2022-01-11 14:46           ` Rostislav Svoboda
  0 siblings, 1 reply; 10+ messages in thread
From: Michael Rohleder @ 2022-01-11 14:42 UTC (permalink / raw)
  To: Rostislav Svoboda; +Cc: 53184

[-- Attachment #1: Type: text/plain, Size: 342 bytes --]

Rostislav Svoboda <rostislav.svoboda@gmail.com> writes:
> I wonder how and why the mycli got installed without having it's
> dependency, the python-pyperclip installed in the first place.

I think, that's because pyperclip is needed in "sanity-check" phase and
we didn't had this before the big merge.

-- 
Garbage In -- Gospel Out.

[-- Attachment #2: signature.asc --]
[-- Type: application/pgp-signature, Size: 511 bytes --]

^ permalink raw reply	[flat|nested] 10+ messages in thread

* bug#53184: mycli unmet dependency on python-pyperclip
  2022-01-11 14:42         ` Michael Rohleder
@ 2022-01-11 14:46           ` Rostislav Svoboda
  2022-01-11 15:06             ` Michael Rohleder
  0 siblings, 1 reply; 10+ messages in thread
From: Rostislav Svoboda @ 2022-01-11 14:46 UTC (permalink / raw)
  To: Michael Rohleder; +Cc: 53184

> I think, that's because pyperclip is needed in "sanity-check" phase and
> we didn't had this before the big merge.

I'm rather new to guix... big merge what with what?




^ permalink raw reply	[flat|nested] 10+ messages in thread

* bug#53184: mycli unmet dependency on python-pyperclip
  2022-01-11 14:46           ` Rostislav Svoboda
@ 2022-01-11 15:06             ` Michael Rohleder
  2022-01-12 11:48               ` Rostislav Svoboda
  0 siblings, 1 reply; 10+ messages in thread
From: Michael Rohleder @ 2022-01-11 15:06 UTC (permalink / raw)
  To: Rostislav Svoboda; +Cc: 53184

[-- Attachment #1: Type: text/plain, Size: 627 bytes --]

Rostislav Svoboda <rostislav.svoboda@gmail.com> writes:
>> I think, that's because pyperclip is needed in "sanity-check" phase and
>> we didn't had this before the big merge.
>
> I'm rather new to guix... big merge what with what?

Oh, I'm sorry and welcome to guix!

What I called "the big merge" was the merge of the "core-updates" branch
with master some weeks ago.

See e.g. https://guix.gnu.org/manual/en/guix.html#Submitting-Patches for
a description of the branches master,staging and core-updates.

-- 
Wir haben alle zwei Leben: Das zweite beginnt,
wenn wir realisieren, dass wir nur ein Leben haben.

[-- Attachment #2: signature.asc --]
[-- Type: application/pgp-signature, Size: 511 bytes --]

^ permalink raw reply	[flat|nested] 10+ messages in thread

* bug#53184: mycli unmet dependency on python-pyperclip
  2022-01-11 15:06             ` Michael Rohleder
@ 2022-01-12 11:48               ` Rostislav Svoboda
  2022-01-12 18:43                 ` Leo Famulari
  0 siblings, 1 reply; 10+ messages in thread
From: Rostislav Svoboda @ 2022-01-12 11:48 UTC (permalink / raw)
  To: Michael Rohleder; +Cc: 53184

It works now. We can close this bug. Thank you for fixing it.




^ permalink raw reply	[flat|nested] 10+ messages in thread

* bug#53184: mycli unmet dependency on python-pyperclip
  2022-01-12 11:48               ` Rostislav Svoboda
@ 2022-01-12 18:43                 ` Leo Famulari
  0 siblings, 0 replies; 10+ messages in thread
From: Leo Famulari @ 2022-01-12 18:43 UTC (permalink / raw)
  To: Rostislav Svoboda; +Cc: 53184-done

On Wed, Jan 12, 2022 at 12:48:26PM +0100, Rostislav Svoboda wrote:
> It works now. We can close this bug. Thank you for fixing it.

Anybody can close the bug by sending a message to
<53184-done@debbugs.gnu.org>, like I am doing now.

This is described here:

https://debbugs.gnu.org/server-control.html




^ permalink raw reply	[flat|nested] 10+ messages in thread

end of thread, other threads:[~2022-01-12 18:44 UTC | newest]

Thread overview: 10+ messages (download: mbox.gz / follow: Atom feed)
-- links below jump to the message on this page --
2022-01-11 10:12 bug#53184: mycli unmet dependency on python-pyperclip Rostislav Svoboda
2022-01-11 10:45 ` Maxime Devos
2022-01-11 10:51   ` Rostislav Svoboda
2022-01-11 11:00     ` Maxime Devos
2022-01-11 11:17       ` Rostislav Svoboda
2022-01-11 14:42         ` Michael Rohleder
2022-01-11 14:46           ` Rostislav Svoboda
2022-01-11 15:06             ` Michael Rohleder
2022-01-12 11:48               ` Rostislav Svoboda
2022-01-12 18:43                 ` Leo Famulari

Code repositories for project(s) associated with this inbox:

	https://git.savannah.gnu.org/cgit/guix.git

This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox;
as well as URLs for read-only IMAP folder(s) and NNTP newsgroup(s).